Subject: [mobile-ip] NAI extensions and draft-ietf-mobileip-aaa-nai

From: Bjorn Andersson <[email-masked]>
Date: Wed, 5 Feb 2003 17:45:39 +0200

draft-ietf-mobileip-aaa-nai specifies yet another NAI extension.
Previous attemps have been in draft-ietf-mobileip-mier and
draft-ietf-mobileip-gnaie. What happened to the latter draft?

I think the IETF should resurrect the Generalized NAI draft. The
AAA NAI draft could then use these extensions instead of specifying
its own AAA NAI extension. I can envision several uses for FA and HA
(and possiby other entities) NAIs other than the uses described in
the AAA NAI draft.

  BjC6rn

-- 
BjC6rn Andersson <[email-masked]>
PGP id 5AFC144B
Mobile +358 40 7723074

---

From: "Fredrik Johansson" <[email-masked]>
Date: Mon, 10 Feb 2003 04:09:47 +0100

Björn,

The Generalized NAI draft had expired when we wrote the AAA nai draft. After
talking to the authors of the original draft, we took the format and used it
in the AAA nai draft. Ofcourse we could make a generalized nai and have
subtypes for Ha Identity and AAAH Identity for use when communicating with
AAA.

The only objection I have is that I don't know how far the draft has gone in
the IESG process, Phil can you advise on this?

/fredrik

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Bjorn Andersson
> Sent: Wednesday, February 05, 2003 4:46 PM
> To: [email-masked]
> Subject: [mobile-ip] NAI extensions and draft-ietf-mobileip-aaa-nai
>
>